Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.policy
Class ForceMarshalPolicyHelper

    java.lang.Object
      |
      +--org.openorb.policy.ForceMarshalPolicyHelper

public class ForceMarshalPolicyHelper
extends java.lang.Object

Helper class for : ForceMarshalPolicy

Author:
  OpenORB Compiler

Constructor Summary
`ForceMarshalPolicyHelper()`

Method Summary
`static ForceMarshalPolicy` | `extract(Any a)` Extract ForceMarshalPolicy from an any
`static java.lang.String` | `id()` Return the ForceMarshalPolicy IDL ID
`static void` | `insert(Any a, ForceMarshalPolicy t)` Insert ForceMarshalPolicy into an any
`static ForceMarshalPolicy` | `narrow(Object obj)` Narrow CORBA::Object to ForceMarshalPolicy
`static ForceMarshalPolicy` | `read(InputStream istream)` Read ForceMarshalPolicy from a marshalled stream
`static TypeCode` | `type()` Return the ForceMarshalPolicy TypeCode
`static ForceMarshalPolicy` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ForceMarshalPolicy
`static void` | `write(OutputStream ostream, ForceMarshalPolicy value)` Write ForceMarshalPolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForceMarshalPolicyHelper

    public ForceMarshalPolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ForceMarshalPolicy t)

  Insert ForceMarshalPolicy into an any
  Parameters:
    `a` - an any
    `t` - ForceMarshalPolicy value

### extract

    public static ForceMarshalPolicy extract(Any a)

  Extract ForceMarshalPolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ForceMarshalPolicy value

### type

    public static TypeCode type()

  Return the ForceMarshalPolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ForceMarshalPolicy IDL ID
  Returns:
    an ID

### read

    public static ForceMarshalPolicy read(InputStream istream)

  Read ForceMarshalPolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ForceMarshalPolicy value

### write

    public static void write(OutputStream ostream,
                             ForceMarshalPolicy value)

  Write ForceMarshalPolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ForceMarshalPolicy value

### narrow

    public static ForceMarshalPolicy narrow(Object obj)

  Narrow CORBA::Object to ForceMarshalPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ForceMarshalPolicy Object

### unchecked_narrow

    public static ForceMarshalPolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ForceMarshalPolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ForceMarshalPolicy Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD